Get all submission requests on a form Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "PlannrCRM MCP server": {
    "url": "https://apidocs.plannrcrm.com/mcp"
  }
}

Close
GET /api/v1/submission-request

This endpoint can only be hit by senior employees It will show every form submission request created for this form Including whom sent the request and the recipient

Headers

  • X-PLANNR-ACCOUNT-UUID string

Query parameters

  • filter[uuid] string

    Filter by a comma separated list of UUIDs.

  • filter[created_after] string

    Date to filter when the record was created after.

  • filter[created_before] string

    Date to filter when the record was created before.

  • filter[form.title] string

    @deprecated Please use filter[form_title] instead.

  • filter[form_title] string

    Filter by partial form titles.

  • filter[sender_uuids] string

    Filter by a comma separated list of employee account UUIDs of who sent the form requests.

  • filter[receiver_uuids] string

    Filter by a comma separated list of client account UUIDs of who received the form requests.

  • filter[circle_uuids] string

    Filter by a comma separated list of circle UUIDs belonging to client accounts of who received the form requests.

  • sort string

    Field to sort by. Valid fields are [created_at, updated_at, description]. Negative sign to denote DESC. Defaults to '-created_at'.

  • per_page integer

    Number of results to return with pagination (Default 15. Max 500).

Responses

  • 200 application/json
    Hide response attribute Show response attribute object
    • data array[object]
      Hide data attributes Show data attributes object
      • uuid string
      • created_at string
      • updated_at string
      • description string
      • form object
        Hide form attributes Show form attributes object
        • uuid string
        • created_at string
        • updated_at string
        • title string
        • description string
        • live boolean
        • visibility string
        • sections object
          Hide sections attributes Show sections attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • title

            The title of the question

          • help_text

            Input placeholder text

          • caption

            Text to describe the input

          • type

            The type of question

          • required

            Whether the question is required

          • position

            The position of the question in the section

          • selection_options

            The options for selection questions

          • target_field

            The field to update upon question completion

          • key

            The key to use when updating the target field

          • linked_primary

            Will the this linked field become a primary Address/Phone Number/Email Address

        • allowed_hosts array[string]
        • draft_submissions_count integer
        • submitted_submissions_count integer
        • create_client boolean
        • client_type string
      • has_submission boolean
      • submission object
        Hide submission attributes Show submission attributes object
        • uuid string
        • created_at string
        • updated_at string
        • stage string
        • account object
          Hide account attributes Show account attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • type

            Account type

          • role

            Account role

          • first_name

            First name

          • last_name

            Last name

          • name

            Name

          • email

            (Deprecated - Please use primary_email instead). The email of the account.

          • photo_url

            URL for initial avatar image

          • first_contact_date

            First contact date

          • next_review_date

            Next review date

          • previous_review_date

            Previous review date

          • anniversary_review_date

            Anniversary review date

          • terms_of_business_at

            Date the Terms of Business were agreed and signed

          • client_agreement_at

            Date the client agreement was agreed and signed

          • with_login

            Denotes whether the account has a login to Plannr

          • has_joint_account

            Denotes whether this account belongs to a joint account too

          • can_be_deleted

            Denotes if the account can be deleted

          • ownership_percentage

            Percentage ownership of the plan (This field is only present if viewing the account record via a plans relationship eg Plan -> Accounts)

          • inactive_at

            Inactive from date

          • last_interaction_at

            Last interaction date

          • referral_code

            Unique referral code for the employee account (employees only)

          • permissions

            Permission map where keys are permission names and values are target arrays

        • request object
          Hide request attributes Show request attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • description

            The description of the form submission request

          • has_submission

            Denotes if this request has a submission stored against it

        • form object
          Hide form attributes Show form attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • title

            The title of the form

          • description

            The description of the form

          • live

            Whether the form is live

          • visibility

            The visibility of the form

          • allowed_hosts

            Array of allowed domains that this form can be accessed from using different origins

          • draft_submissions_count

            Count of draft submissions against this form

          • submitted_submissions_count

            Count of submitted submissions against this form

          • create_client

            Denotes if this form creates a new client when it is submitted from a public embed

          • client_type

            If create_client is true, then the client_type is the type of client that will be created, possible values are client and prospect

        • answers array[object]
          Hide answers attributes Show answers attributes object
          • first_name string
          • last_name string
GET /api/v1/submission-request
curl \
 --request GET 'https://api.plannrcrm.com/api/v1/submission-request' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
  "data": [
    {
      "uuid": "67900d53-4ba6-4a8a-9df4-cff1645dfd69",
      "created_at": "2026-07-17T15:25:29+01:00",
      "updated_at": "2026-07-17T15:25:29+01:00",
      "description": "Please submit your annual survey form",
      "form": {
        "uuid": "66d3cfa2-f57c-467a-9961-0368db7c8864",
        "created_at": "2026-07-17T15:25:29+01:00",
        "updated_at": "2026-07-17T15:25:29+01:00",
        "title": "Annual Catchup 2022",
        "description": "This is the annual catchup form for 2022",
        "live": true,
        "visibility": "public",
        "sections": {
          "uuid": "a78b8295-ee33-4fb4-8ef3-a7d63e02e5ae",
          "created_at": "2026-07-17T15:25:36+01:00",
          "updated_at": "2026-07-17T15:25:36+01:00",
          "title": "What is your name?",
          "help_text": "Gareth",
          "caption": "Your full legal name",
          "type": "string",
          "required": true,
          "position": 1,
          "selection_options": [
            "option 1",
            "option 2"
          ],
          "target_field": "name",
          "key": "what_is_your_name",
          "linked_primary": true
        },
        "allowed_hosts": [
          "domain.com",
          "subdomain.domain.com"
        ],
        "draft_submissions_count": 5,
        "submitted_submissions_count": 5,
        "create_client": true,
        "client_type": "client"
      },
      "has_submission": true,
      "submission": {
        "uuid": "49ea44be-b0b3-4f96-9c99-132e00bcf04b",
        "created_at": "2026-07-17T15:25:29+01:00",
        "updated_at": "2026-07-17T15:25:29+01:00",
        "stage": "draft",
        "account": {
          "uuid": "543b4daa-a2a5-40d9-b97a-af39e3746a8f",
          "created_at": "2026-07-17T15:25:36+01:00",
          "updated_at": "2026-07-17T15:25:36+01:00",
          "type": "client",
          "role": "client",
          "first_name": "Gareth",
          "last_name": "Thompson",
          "name": "Gareth Thompson",
          "email": "gareth@codepotato.co.uk",
          "photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
          "first_contact_date": "2026-07-17T15:25:36+01:00",
          "next_review_date": "2026-07-17T15:25:36+01:00",
          "previous_review_date": "2026-07-17T15:25:36+01:00",
          "anniversary_review_date": "2026-07-17T15:25:36+01:00",
          "terms_of_business_at": "2026-07-17T15:25:36+01:00",
          "client_agreement_at": "2026-07-17T15:25:36+01:00",
          "with_login": true,
          "has_joint_account": true,
          "can_be_deleted": "false",
          "ownership_percentage": 100.0,
          "inactive_at": "2026-07-17",
          "last_interaction_at": "2026-07-17 15:25:36",
          "referral_code": "ABC12345",
          "permissions": {
            "firm:read": [
              "firm"
            ],
            "network:read": [
              "network:uuid"
            ]
          }
        },
        "request": {
          "uuid": "7abbb43a-177d-41d8-a0ae-8b48ee5795bb",
          "created_at": "2026-07-17T15:25:36+01:00",
          "updated_at": "2026-07-17T15:25:36+01:00",
          "description": "Please submit your annual survey form",
          "has_submission": true
        },
        "form": {
          "uuid": "f649a15f-2846-4725-babf-9b7b3d8daee8",
          "created_at": "2026-07-17T15:25:36+01:00",
          "updated_at": "2026-07-17T15:25:36+01:00",
          "title": "Annual Catchup 2022",
          "description": "This is the annual catchup form for 2022",
          "live": true,
          "visibility": "public",
          "allowed_hosts": [
            "domain.com",
            "subdomain.domain.com"
          ],
          "draft_submissions_count": 5,
          "submitted_submissions_count": 5,
          "create_client": true,
          "client_type": "client"
        },
        "answers": [
          {
            "first_name": "john",
            "last_name": "olive"
          }
        ]
      }
    }
  ]
}